--- old/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:17.744836451 -0400
+++ new/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:17.752159846 -0400
@@ -87,7 +87,6 @@
 static int	segmap_pagelock(struct seg *seg, caddr_t addr, size_t len,
 			struct page ***ppp, enum lock_type type,
 			enum seg_rw rw);
-static void	segmap_badop(void);
 static int	segmap_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
 static lgrp_mem_policy_info_t	*segmap_getpolicy(struct seg *seg,
     caddr_t addr);
@@ -98,28 +97,18 @@
 			struct smap *, enum seg_rw);
 struct smap	*get_smap_kpm(caddr_t, page_t **);
 
-#define	SEGMAP_BADOP(t)	(t(*)())segmap_badop
-
 static struct seg_ops segmap_ops = {
-	.dup		= SEGMAP_BADOP(int),
-	.unmap		= SEGMAP_BADOP(int),
 	.free		= segmap_free,
 	.fault		= segmap_fault,
 	.faulta		= segmap_faulta,
-	.setprot	= SEGMAP_BADOP(int),
 	.checkprot	= segmap_checkprot,
 	.kluster	= segmap_kluster,
-	.sync		= SEGMAP_BADOP(int),
-	.incore		= SEGMAP_BADOP(size_t),
-	.lockop		= SEGMAP_BADOP(int),
 	.getprot	= segmap_getprot,
 	.getoffset	= segmap_getoffset,
 	.gettype	= segmap_gettype,
 	.getvp		= segmap_getvp,
-	.advise		= SEGMAP_BADOP(int),
 	.dump		= segmap_dump,
 	.pagelock	= segmap_pagelock,
-	.setpagesize	= SEGMAP_BADOP(int),
 	.getmemid	= segmap_getmemid,
 	.getpolicy	= segmap_getpolicy,
 	.capable	= segmap_capable,
@@ -908,13 +897,6 @@
 	return (0);
 }
 
-static void
-segmap_badop()
-{
-	panic("segmap_badop");
-	/*NOTREACHED*/
-}
-
 /*
  * Special private segmap operations
  */
